<?php
namespace Wovax\IDX\Settings;
if (defined('ABSPATH') === FALSE) {
    exit();// Exit via direct access.
}

class FeedFields {
    private $feed_id = 0;
    // Public methods
    public function __construct($feed_id) {
        $this->feed_id = $feed_id;
    }
    public function getDisplayed() {
        $sql = 'SELECT `default_alias` FROM `%s` WHERE `id_feed` = %d AND `field_state` = 1 ORDER BY `order`';
        $sql = sprintf($sql, $this->getTableName(), intval($this->feed_id));
        return $GLOBALS['wpdb']->get_col($sql);
    }
    public function getDisplayedByOrder($order) {
        // TODO probably cache and instead of querying each
        $sql = $sql = 'SELECT `default_alias` FROM `%s` WHERE `id_feed` = %d AND `order` = %d AND `field_state` = 1';
        $sql = sprintf($sql, $this->getTableName(), intval($this->feed_id), intval($order));
        $feild = $GLOBALS['wpdb']->get_var($sql);
        return is_string($field) ? $field : FALSE;
    }
    public function getRequired() {
        return array_unique(array_merge(self::getDefault(), $this->getDisplayed())); 
     }
    // Private Methods
    private function getTableName() {
        return $GLOBALS['wpdb']->base_prefix.'wovax_idx_feed_fields';
    }
    // Public static methods
    public static function getDefault() {
        return array(
            'Acres',
            'Bathrooms',
            'Bedrooms',
            'City',
            'Description',
            'MLS Number',
            'Price',
            'Property Type', 
            'State',
            'Status',
            'Street Address',
            'Square Footage',
            'Lot Size', 
            'Zip Code',
        );
    }
}