<?php
namespace Wovax\IDX\Settings;
if (defined('ABSPATH') === FALSE) {
    exit();// Exit via direct access.
}

class IntialSetup extends Options{
    const MODE_DEVELOPMENT = 'development';
    const MODE_PRODUCTION  = 'production';
    const OPT_DETAIL_PAGE  = 'listing-details-page';
    const OPT_EMAIL        = 'webmaster-email';
    const OPT_GOOG_MAP_KEY = 'google-maps-api-key';
    const OPT_MODE         = 'environment';
    const OPT_SEARCH_PAGE  = 'search-results-page';
    public function __construct() {
        $this->add(self::OPT_DETAIL_PAGE, 0);
        $this->add(self::OPT_EMAIL, '');
        $this->add(self::OPT_GOOG_MAP_KEY, '');
        $this->add(self::OPT_MODE, 'development');
        $this->add(self::OPT_SEARCH_PAGE, 0);
    }
    public function detailPage() {
        $id = intval($this->get(self::OPT_DETAIL_PAGE));
        if(get_post_status($id) === FALSE) {
            $id = 0;
        }
        return $id;
    }
    public function email() {
        return $this->get(self::OPT_EMAIL);
    }
    public function googleMapsKey() {
        return $this->get(self::OPT_GOOG_MAP_KEY);
    }
    public function mode() {
        $mode = self::MODE_DEVELOPMENT;
        if($this->get(self::OPT_MODE) === self::MODE_PRODUCTION) {
            $mode = self::MODE_PRODUCTION;
        }
        return $mode;
    }
    public function searchPage() {
        $id = intval($this->get(self::OPT_SEARCH_PAGE));
        if(get_post_status($id) === FALSE) {
            $id = 0;
        }
        return $id;
    }
    public function setDetailPage($post_id) {
        $post_id = intval($post_id);
        if(get_post_status($post_id) === FALSE) {
            return FALSE;
        }
        $this->set(self::OPT_DETAIL_PAGE, $post_id);
        return TRUE;
    }
    public function setEmail($email) {
        $email = trim($email);
        if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
           return FALSE;
        }
        $this->set(self::OPT_EMAIL, $email);
        return TRUE;
    }
    public function setGoogleMapApiKey($key) {
        $this->set(self::OPT_GOOG_MAP_KEY, trim($key));
        return TRUE;
    }
    public function setMode($mode) {
        $mode = self::MODE_DEVELOPMENT;
        if($mode === self::MODE_PRODUCTION) {
            $mode = self::MODE_PRODUCTION;
        }
        $this->set(self::OPT_MODE, $mode);
        return TRUE;
    }
    public function setSearchPage($post_id) {
        $post_id = intval($post_id);
        if(get_post_status($post_id) === FALSE) {
            return FALSE;
        }
        $this->set(self::OPT_SEARCH_PAGE, $post_id);
        return TRUE;
    }
}