<?php
namespace Wovax\IDX\Shortcodes;
// Exit if accessed directly
if (!defined('ABSPATH')) {
	exit();
}

require_once(__DIR__.'/views/details.php');
require_once(__DIR__.'/views/login-register-modal.php');

use Wovax\IDX\API\WovaxConnect;
use Wovax\IDX\Settings\FeedFields;

class listingDetails extends Shortcode {
    private $class_id      = 0;
    private $listing       = NULL;
    public function __construct() {
        $this->addStyle('slickcss', 'https://cdn.jsdelivr.net/jquery.slick/1.6.0/slick.css');
        $this->addScript('slickjs', 'https://cdn.jsdelivr.net/jquery.slick/1.6.0/slick.min.js', array(), FALSE, TRUE);
        parent::__construct('listing-details');
    }
    public function addListing($class_id, $listing) {
        $this->class_id = $class_id;
        $this->listing  = $listing;
    }
    private function displayPhotos() {
        if(!is_array($this->listing['photos_list']) ) {
            return '';
        }
        $photos = $this->listing['photos_list'];
        $thumbs = array();
        $mains  = array();
        $number = 1;
        foreach($photos as $photo) {
            $alt      = empty($photo['description']) ? "" : $photo['description'];
            $src      = 'https://cache.wovax.com/imgp.php?src='.esc_url($photo['location']);
            $thumbs[] = "<div><img src=\"$src&width=400\" alt=\"$alt\"></div>\n";
            $mains[]  = "<div><img src=\"$src&width=1800\" alt=\"$alt\"></div>\n";
            $number++;
        }
        if(count($mains) <= 1) {
            return $mains[0]."\n";
        }
        $html  = '<section class="slider wovax-idx-slider no-select">'."\n";
        $html .= implode("\n", $mains);
        $html .= "</section>\n";

        $html .= '<section class="wovax-idx-slider-thumbnails slider no-select">'."\n";
        $html .= implode("\n", $thumbs);
        $html .= "</section>\n";

        $html .= '<script>
                  jQuery(document).ready(function(){

                    jQuery(".wovax-idx-slider").slick({
                      asNavFor: ".wovax-idx-slider-thumbnails",
                      adaptiveHeight: true,
                      infinite: true,
                      slidesToShow: 1,
                      arrows: false,
                      fade: true,
                    });
                    jQuery(".wovax-idx-slider-thumbnails").slick({
                        asNavFor: ".wovax-idx-slider",
                        adaptiveHeight: true,
                        slidesToShow: 5,
                        slidesToScroll: 3,
                        infinite: true,
                        centerMode: true,
                        focusOnSelect: true,
                        arrows: true,
                    });
                  });
                </script>';
        return $html;
    }
    protected function getContent() {
        if(is_null($this->listing)) {
            return '';
        }
        $html  = $this->displayPhotos();
        $html .= wovax_idx_get_content_detail_property($this->class_id, $this->listing);
        $html .= wovax_idx_get_login_register_modal();
        return $html;
    }
}