<?php

if (!defined('ABSPATH')) exit;

function wovax_idx_get_content_detail_property($class_id, $data = null) {
    $street = "Street Address";
    $zip    = "Zip Code";
    $updated_timestamp = $data['updated_timestamp'];
    $data = (object)$data;
    $map_data = wovax_idx_get_feed_attr_by_id_feed($class_id);
    $plugin_url = WOVAX_PLUGIN_NAME;
    $icon_url_1 = $plugin_url . '/assets/graphics/spotlight-poi.png';
    $icon_url_2 = $plugin_url . '/assets/graphics/spotlight-poi_hdpi.png';
    // Get format and currency from attributes
    $form_curren_id = json_decode($map_data[0]->attributes);
    $format = $form_curren_id->format;
    $currency = $form_curren_id->currency;

    // Get map data from attibutes
    $map_data = explode('|-|', json_decode($map_data [0]->attributes)->map_data);

    // Variable for Google Map Api Key.
    $api_key = get_option('wovax-idx-settings-google-maps-api-key');

    // Check if map is setted to be displayed
    if ($map_data[1] == 1 && $map_data != null && strpos($map_data[0], 'latitude_longitude') === 0) {
      $Latitude = $data->Latitude;
      $Longitude = $data->Longitude;
      $map_aux = false;
    }
    elseif ($map_data[1] == 1 && $map_data != null && $map_data[0] == 'address') {
      $map_address = $data->$zip . ' ' . $data->$street . ', ' . $data->City . ', ' . $data->State;
      $map_aux = false;
    }
    else {
      $map_aux = true;
    }
    unset($data->photos_list);

    // THIRD SECTION : Insert all data returned by API in order (Map too).
    // (depending what is returned)
    // [1]: Unset elements added in order to display map and were not selected in the listings
    $data = (array)$data;
    $data = array_reverse($data);
    $map_count = filter_var($_GET['map_count'], FILTER_SANITIZE_STRING);
    foreach($data as $key => $value) {
      if ($map_count == 0) {
        break;
      }
      unset($data[$key]);
      $map_count--;
    }
    $data = array_reverse($data);

    // FIRST SECTION : Title built by Zip_code - Street - State - City - ID.

    $output = '';
    $count_aux = 0;
    $count_data = count((array)$data);
    $class_aux = false;


    //SECON SECTION : Call every field will be displayed and order it by feed detail added order
    $feed_list = wovax_idx_list_feeds_field_by_id_status_1($class_id);

    //Call feed attributes ( map info - link info - styling info )
    $feed_attr_info = wovax_idx_get_feed_attr_by_id_feed($class_id);

    $field_list = wovax_idx_sort_fields_list_feed_details($feed_list, $feed_attr_info);

    $content_array_aux = $field_list['content_array_aux'];

    //Auxiliar to set different Id´s on map div and jquery call
    $count_map_aux = 0;
    $map_array = [];

    //Loop to run every field on feed detail
    foreach ($content_array_aux as $key => $value) {
      //Structure for "Description" field
      if( strpos($value, 'Description|-|' ) === 0 ){
        $auxiliar_field_value = explode("|-|", $value);
        $output .= '<div class="wovax-idx-listing-details-description ' . esc_attr($auxiliar_field_value[1]) . '">' . esc_html($data[$auxiliar_field_value[0]]) . '</div>';
      //Structure for "Map" field
      }elseif( strpos($value, 'Map|-|') === 0 ){
        $auxiliar_map_value = explode("|-|", $value);
        $map_id = 'map_' . $count_map_aux;
        $map_marker = 'marker_' . $count_map_aux;
        //Map field will be displayed if longitude and latitude is different to null
        if ( $Latitude != null && $Longitude != null ){
          $output .= '<div class="wovax-idx-listing-details-map ' . esc_attr($auxiliar_map_value[2]) . '" id="' . esc_attr($map_id) . '" style="width:100%; height:' . esc_attr($auxiliar_map_value[1]) . 'px; margin-top:1em; margin-bottom:1em;"></div>';
        }
        $count_map_aux++;
        $map_array[$count_map_aux]['map'] = $map_id;
        $map_array[$count_map_aux]['marker'] = $map_marker;
      //Structure for "Divider" field
      }elseif( strpos($value, 'Divider|-|') === 0 ){
        $auxiliar_divider_value = explode("|-|", $value);
        //Set label and href value for link
        $output .= '<div class="wovax-idx-listing-details-divider ' . esc_attr($auxiliar_divider_value[1]) . '"></div>';
      //Structure for "spacer" field
      }elseif( strpos($value, 'Spacer|-|') === 0 ){
        $auxiliar_spacer_value = explode("|-|", $value);
        $px_value = ($auxiliar_spacer_value[1]!=null && is_int($auxiliar_spacer_value[1]+0))?$auxiliar_spacer_value[1]+0:80;
        //Set label and href value for link
        $output .= '<div class="wovax-idx-listing-details-spacer ' . esc_attr($auxiliar_spacer_value[2]) . '" style="height:' . esc_html($px_value) .'px;"></div>';
      //Structure for "Details Fields" field
      }else{
        $auxiliar_field_value = explode("|-|", $value);
        $field_name = $auxiliar_field_value[0];
        $field_value = $data[$field_name];
        if(empty($field_value)) {
          continue;
        }
        if($field_name === 'Price') {
          $field_value = '$'.number_format($field_value);
        } else if ($field_name === 'Virtual Tour') {
          $field_value = '<a class="wovax-idx-listing-details-link" target="_blank" href="'.$field_value.'">View</a>';
        }
        //Set a div section if detail field start array or the one before was not a detail field
        if( $key == 0 ){
          $output .= '<div class="wovax-idx-listing-details-fields">';
        }elseif( $key > 0 && ( strpos($content_array_aux[$key-1], 'Description|-|') === 0 || strpos($content_array_aux[$key-1], 'Map|-|') === 0 || strpos($content_array_aux[$key-1], 'Link|-|') === 0 || strpos($content_array_aux[$key-1], 'Divider|-|') === 0 || strpos($content_array_aux[$key-1], 'Spacer|-|') === 0 ) ){
          $output .= '<div class="wovax-idx-listing-details-fields">';
        }
        //Display field value.
        $output .= '<div class="wovax-idx-listing-details-field wovax-idx-listing-details-field-label">' . $field_name . '</div><div class="wovax-idx-listing-details-field wovax-idx-listing-details-field-value">' . $field_value . '</div>';
        //Close div section if last field on array was a detail field or next field on array is not a detail feed
        if( $key == count($content_array_aux)-1 ){
          $output .= '</div>';
        }elseif( $key < count($content_array_aux)-1 && ( strpos($content_array_aux[$key+1], 'Description|-|') === 0 || strpos($content_array_aux[$key+1], 'Map|-|') === 0 || strpos($content_array_aux[$key+1], 'Link|-|') === 0 || strpos($content_array_aux[$key+1], 'Divider|-|') === 0 || strpos($content_array_aux[$key+1], 'Spacer|-|') === 0 ) ) {
          $output .= '</div>';
        }
      }
    }

    $output .= '</div>';

    $output .= '<div class="wovax-idx-listing-details-updated-timestamp">';
	  $output .= 'Listing last updated: '.$updated_timestamp;
    $output .= '</div>';

    // FOURTH SECTION : Selecting the correct option to show the Google Map.
    // (depending what is returned and the APIKEY)
    if (strpos($map_data[0], 'latitude_longitude') === 0 && $map_data[1] == 1 && $Latitude != null && $Longitude != null && $api_key != null) {
      $map_output .= '<script>
                        function wovax_idx_init_map() {
                          var devicePixelRatio = window.devicePixelRatio;
                          if(devicePixelRatio>2){
                            marker_icon = `' . $icon_url_2 . '`;
                          }else{
                            marker_icon = `' . $icon_url_1 . '`;
                          }
                          var uluru = {lat: ' . esc_js($Latitude) . ', lng: ' . esc_js($Longitude) . '};';

      foreach ($map_array as $key => $value) {
        $map_output .= 'var ' . $value['map'] . ' = new google.maps.Map(document.getElementById(`' . $value['map'] . '`), {
                            zoom: 15,
                            center: uluru
                        });
                        var ' . $value['marker'] . ' = new google.maps.Marker({
                          position: uluru,
                          map: ' . $value['map'] . ',
                          icon: marker_icon
                        });';
      }

      $map_output .= '}
                      </script>
                      <script async defer
                        src="https://maps.googleapis.com/maps/api/js?key=' . esc_js($api_key) . '&callback=wovax_idx_init_map">
                      </script>';
    }
    else {
      $map_output .= '';
    }
    $output .= $map_output;

    return $output;
}
