<?php

if (!defined('ABSPATH')) exit;

function wovax_idx_get_content_listings_map($results, $restriccions, $shortcode_type, $api_key)
{

    global $current_user;
    $view_option = 'map';
    $fav_avail = (get_option('wovax-idx-settings-users-favorites'))?get_option('wovax-idx-settings-users-favorites'):"no";

    if($shortcode_type != 'favorites') {
        $fields_array = array();
        foreach ($restriccions as $key => $value) {
            array_push($fields_array, $value->field);
        }

        $id = $results[0]->id;
        $feed_rules = wovax_idx_get_rules_by_shortcode($fields_array, $id, 'listing_embed');
    }

    $plugin_url = WOVAX_PLUGIN_NAME;

	$map_api_key = get_option('wovax-idx-settings-google-maps-api-key');

    $fav_user_meta = array();

    if (is_user_logged_in()) {
        get_currentuserinfo();
        $user_id   = $current_user->data->ID;
        $user_favs = get_user_meta($user_id, 'wovax-idx-favorites', FALSE);
        // Sets favorites on user_meta in order to save favorite properties
        if(!is_array($user_favs)) {
            update_user_meta($user_id, 'wovax-idx-favorites', array());
            $user_favs = array();
        }
        $fav_user_meta = $user_favs;
    }

    $page_option = filter_var($_GET['wovax-idx-select-sort'], FILTER_SANITIZE_STRING);

  if ($shortcode_type == 'rules') {
    $data = (!empty($sort_option))?wovax_idx_get_list_buildings_by_rules($results, $restriccions, $sort_option, $view_option, $api_key, $feed_rules) : wovax_idx_get_list_buildings_by_rules($results, $restriccions, "", $view_option, $api_key, $feed_rules);
  }elseif ($shortcode_type == 'favorites') {
    $data = (!empty($sort_option))?wovax_idx_get_list_buildings_by_favorites($results, (array)json_decode($fav_user_meta), $sort_option, $view_option, $api_key) : wovax_idx_get_list_buildings_by_favorites($results, (array)json_decode($fav_user_meta), "", $view_option, $api_key);
  }else {
    $data = (!empty($sort_option))?wovax_idx_get_list_buildings_by_filters($results, $restriccions, $sort_option, $view_option, $api_key, $feed_rules) : wovax_idx_get_list_buildings_by_filters($results, $restriccions, "", $view_option, $api_key, $feed_rules);
  }

  if (is_array($data) && $data['total']) {

    if (!is_user_logged_in()) {
      if (isset($_POST['email']) && isset($_POST['pass'])) {
        wovax_idx_custom_login();
      }
    }

    $icon_url_1 = $plugin_url . '/assets/graphics/spotlight-poi.png';
    $icon_url_2 = $plugin_url . '/assets/graphics/spotlight-poi_hdpi.png';
    $map_array = array();
    $address_array = array();
    $aux_inc = 1;
    $street = "Street Address";
    $zip = "Zip Code";

    foreach ($data['data'] as $key => $value) {

      array_push($map_array, array($value->Latitude, $value->Longitude, $aux_inc, $value->Price, $value->id, $value->class_id));
      $aux_inc++;
      if( $aux_inc == ( $results[0]->per_map + 1) || $aux_inc == 251 ){
        break;
      }
    }
  	$total_prop = $data['total'];

  	$select_sort_array = array(
        'date-desc' => 'Most Recent First',
        'date-asc' => 'Most Recent Last',
        'price-desc' => 'Price High to Low',
        'price-asc' => 'Price Low to High'
      );
  
    $output .= '<div class="wovax-idx-action-bar-container col-6">
                	<form class="wovax-idx-form" action="" method="get" id="wovax-idx-sort">
                		<div class="wovax-idx-section">
                			<label style="line-height:68px;padding-left:16px;"">' . esc_html(number_format($total_prop, 0, '', ',')) . ' ' . esc_html(($shortcode_type == 'favorites')?'Favorites':'Results') . '</label>
                		</div>
                		<div class="wovax-idx-section">';

    $output .= ($shortcode_type == 'rules' || $shortcode_type == 'favorites')?'<input type="hidden" id="wovax-idx-button-view-option" name="wovax-idx-view-option" value="' . esc_attr((!empty(filter_var($_GET['wovax-idx-view-option'], FILTER_SANITIZE_STRING)))?filter_var($_GET['wovax-idx-view-option'], FILTER_SANITIZE_STRING):$view_option) . '" >':'';

    $output.= '</div>
              <div class="wovax-idx-section">
              </div>
              <div class="wovax-idx-section">
              </div>';

      if ($results[0]->grid_view != 'yes') {
  
  		 $output .= '<div class="wovax-idx-section">
                		</div>';

      }

  		$output .= '<div class="wovax-idx-section">
            			<label for="sort">Sorted</label>
            			<select id="sort" name="wovax-idx-select-sort" onchange="(document.getElementById(\'form-tab-1\')== null)? this.form.submit() : document.getElementById(\'wovax-idx-select-sort-hidden\').value=this.value;document.getElementById(\'form-tab-1\').submit(); ">
            			<option value="" disabled>Select Sort Option</option>';

  	foreach($select_sort_array as $key => $value) {
      $selected = ($page_option == null)? ($key == '')?'selected':'' : ($page_option == $key)?'selected':'';

      $output .= '<option value="' . esc_attr($key) . '"' . esc_attr($selected) . '>' . esc_html($value) . '</option>';

    }

    $output .= '</select>
                  </div>';

    if ($results[0]->grid_view == 'yes') {
      if ($shortcode_type == 'rules' || $shortcode_type == 'favorites') {
        $output.= '<div class="wovax-idx-section">
            <a href="#" class="wovax-idx-button" onclick="wovax_idx_get_grid_view_listing(event);">Grid View</a>
          </div>';
      }else {
        $output.= '<div class="wovax-idx-section">
            <a href="#" class="wovax-idx-button" onclick="wovax_idx_get_grid_view_search(event);">Grid View</a>
          </div>';
      }
    }

    $output .= '</form>
                  </div>
                    <input type="hidden" name="session_stat" value="' . esc_attr(is_user_logged_in()) . '">
                <div class="wovax-idx-listings-container col-3">
                	<div class="wovax-idx-map-search">
                		<div class="wovax-idx-listing-details-map" id="map">
                		</div>
                	</div>
                </div>

    <script>

      var marker_wovax = [];
      var ajaxurl = "' . esc_url(admin_url('admin-ajax.php')) . '";
      var activeWindow;
      var markers_open_wovax_filter = [];
      var marker_icon;

      jQuery( document ).ready(function() {
        setTimeout(function(){
          var script = document.createElement("script");
          script.type = `text/javascript`;
          script.src = `' . $plugin_url . '/assets/js/infobox.min.js`;
          document.head.appendChild(script);
        },500);
      });

    	function wovax_idx_get_grid_view_search(event){
        event.preventDefault();
        jQuery("input:hidden[name=wovax-idx-view-option]").val("grid");
        jQuery("#form-tab-1").submit();
      }
      function wovax_idx_get_grid_view_listing(event){
        event.preventDefault();
        jQuery("input:hidden[name=wovax-idx-view-option]").val("grid");
        jQuery("#wovax-idx-sort").submit();
      }

      function wovax_idx_init_map(){
        var marcadores = ' . json_encode($map_array) . ';

        var map = new google.maps.Map(document.getElementById("map"), {
          zoom: 8,
          mapTypeId: google.maps.MapTypeId.ROADMAP,
        });

        bounds_wovax = new google.maps.LatLngBounds();

        var i;
        var count_aux = 0;
        var geocoder = new google.maps.Geocoder();

        var devicePixelRatio = window.devicePixelRatio;

        if(devicePixelRatio>2){
          marker_icon = `' . $icon_url_2 . '`;
        }else{
          marker_icon = `' . $icon_url_1 . '`;
        }

        for (i = 0; i < marcadores.length; i++) {
          if(marcadores[i][0]!=0 && marcadores[i][1]!=0){
            marker_wovax[count_aux] = new google.maps.Marker({
              position: new google.maps.LatLng(marcadores[i][0], marcadores[i][1]),
              map: map,
              icon: marker_icon
            });
            marker_wovax[count_aux].price = marcadores[i][3];
            marker_wovax[count_aux].id_post = marcadores[i][4];
            marker_wovax[count_aux].id_class = marcadores[i][5];
            marker_wovax[count_aux].setDraggable(false);

            marker_wovax[count_aux].addListener("click", function() {
              wovax_idx_click_marker(this,ajaxurl,map);
            });
            bounds_wovax.extend(marker_wovax[count_aux].position);
            count_aux++;
          }
        }
        
        var markerCluster = new MarkerClusterer(map, marker_wovax, {imagePath: "https://developers.google.com/maps/documentation/javascript/examples/markerclusterer/m"});

        map.fitBounds(bounds_wovax);

        google.maps.event.addListener(map, "click", function(event) {
          wovax_idx_close_all_markers();
        });

      }

      function wovax_idx_click_marker(marker, ajaxurl, mapa){
        //INFOBOX CON AJAX
        var id_post  = marker.id_post;
        var price    = marker.price;
        var id_class = marker.id_class;
        var propiedades = '.json_encode($fav_user_meta).';
        var fav_avail = "' . $fav_avail . '";

        if(typeof marker.infobox === "undefined"){

          var data = {action:"get_infobox_marker", id:id_post, price:price, class:id_class, prop:propiedades, fav_avail:fav_avail };
          jQuery.post(ajaxurl, data, function(response) {

            var boxText = document.createElement("div");
            boxText.innerHTML = response ;

            var myOptions_info = {
              content: boxText,
              disableAutoPan: false,
              maxWidth: 0,
              pixelOffset: new google.maps.Size(-175, -410),
              zIndex: null,
              boxStyle: {
                opacity: 1,
                width: "340px",
                height: "95px"
              },
              closeBoxMargin: "0px",
              closeBoxURL: "",
              isHidden: false,
              pane: "floatPane",
              enableEventPropagation: false
            };
            marker.infobox = new InfoBox(myOptions_info);
            wovax_idx_close_all_markers();
            marker.infobox.open(mapa, marker);
            markers_open_wovax_filter.push(marker);

          });
        }else{
          wovax_idx_close_all_markers();
          marker.infobox.open(mapa, marker);
          markers_open_wovax_filter.push(marker);
        }
      }

      function wovax_idx_close_all_markers(){
        jQuery.each(markers_open_wovax_filter,function(key,value){
          if(typeof value.infobox !== "undefined"){
            value.infobox.close();
          }
        });
      }

      function wovax_idx_go_listing_details(e, url){
        if(jQuery(e.target).attr("class") == "toggle-heart" || jQuery(e.target).attr("id") == "toggle-heart-section"){
          return;
        }
        location.href = url;
      }

    </script>

    <script
              src="https://developers.google.com/maps/documentation/javascript/examples/markerclusterer/markerclusterer.js">
    </script>

    <script async defer
              src="https://maps.googleapis.com/maps/api/js?key=' . $map_api_key . '&callback=wovax_idx_init_map"></script>
    <style>
      #map {
        height: 600px;
        width: 100%;
        margin: 30px 0 0 0;
      }
      .wovax-idx-listing {
        background: white;
      }
    </style>';

      return $output;

  }
  else {
    if (is_array($data)) {
      $data = "PROBLEM IN RESPONSE - 'No data found'";
    }
    return '<br />
        <div class=warning>
          <p> <?php echo esc_html($data) ?></p>
        </div>
        <style media=screen type=text/css>
          .warning {
            font-size: 13px;
            padding-left: 15px;
          background: #FDECC4;
          border-left: 9px solid #FFB913;
          color: #2c3e50;
          padding-top: 20px;
          padding-bottom: 1px;
                }
              </style>';

  }
}
?>
