<?php

if (!defined('ABSPATH')) exit;

function wovax_idx_get_content_search_form($id, $view_columns, $view_option, $api_key) {
  $results = wovax_idx_get_shortcode_by_id($id) [0]->order_section;
  $results = wovax_idx_find_shortcode_filters_by_id($id, $results);
  $fields_array = array();
  foreach ($results as $key => $value) {
    if($value->filter_type == 'select'){
      array_push($fields_array, $value->field);
    }
  }
  $col_count = count($results) + 1;
  $action_url = wovax_idx_get_permalink_page_search_result();
  $option_selected = '';
  $output = '';
  $output .= '<div class="wovax-idx-search-form-container col-'.esc_attr($view_columns).'" id="wovax-idx-search-form">
                <form class="wovax-idx-form" id="form-tab-1" action="' . esc_attr($action_url) . '" method="get">
                  <input type="hidden" name="wovax-idx-shortcode-id" value="' . esc_attr($id) . '" >
                  <input type="hidden" id="wovax-idx-select-sort-hidden" name="wovax-idx-select-sort" value="" >
                  <input type="hidden" id="wovax-idx-button-view-option" name="wovax-idx-view-option" value="' . esc_attr((!empty(filter_var($_GET['wovax-idx-view-option'], FILTER_SANITIZE_STRING)))?filter_var($_GET['wovax-idx-view-option'], FILTER_SANITIZE_STRING):$view_option) . '" >';

  $feeds_id = wovax_idx_get_feeds_by_shortcode($id);
  $rules = wovax_idx_get_rules_by_shortcode($fields_array, $id, 'search_form');
  $values = wovax_idx_get_data_filter($results, $feeds_id, $api_key, $rules);

  if (is_array($values)) {
    $values = $values[1];

    if ($feeds_id != null && $results != null) {
      foreach($results as $key => $value) {
        $valor = "";

        // Field type string to insert in the URL
        $id_field_type = strtolower(str_replace(' ', '_', $value->id_filter));
        $text = str_replace(' ', '_', $value->field);

        // Insert class "number" when filter is "Price"
        $class_holder = ($text == 'Price') ? "number" : "";

        // Edit query string in URL using filter type, field type and id
        $name = $value->filter_type . '-' . $text;
        $name = strtolower($name);
        foreach($_GET as $key2 => $value2) {
          if ($key2 == $name . '-' . $id_field_type) {
            $valor = $value2;
          }
        }

        $output .= '<div class="wovax-idx-section">';

        // Store actual select's id_field
        $value_id_field = $value->id_field;
        $data = array();

        // Compare id_field(s) to get values inside the array
        foreach($values as $key => $val) {
          if ($value_id_field == $key) {
            $data = $val;
          }
        }

        // Look for placeholder for filter
        $placeholder = (empty($value->filter_placeholder)) ? $value->field : $value->filter_placeholder;

        $output .= '<label for="' . esc_attr($id_field_type) . '">' . esc_html($value->filter_placeholder) . '</label>';

        // Creates filter depending on its filter type
        switch ($value->filter_type) {
          case "select":

            $output .= '<select id="' . esc_attr($id_field_type) . '" name="' . esc_attr($name) . '-' . esc_attr($value->id_filter) . '"><option value="">' . esc_html($placeholder) . '</option>';
            $options = $data;
            if (is_array($options)) {
              foreach($options as $option => $val) {
                if (!empty($val)) {
                  $option_selected = ($valor == $val->alias_id && $valor != '') ? 'selected' : '';
                  $output .= '<option value="' . esc_attr($val->alias_id) . '" ' . $option_selected . ' >' . esc_html($val->alias_id) . '</option>';
                }
              }
            }
            $output .= '</select>';

            break;
          case "numeric":

            $output .= '<input type="text" id="' . esc_attr($id_field_type) . '" name="' . esc_attr($name) . '-' . esc_attr($value->id_filter) . '" placeholder="' . esc_attr($placeholder) . '" value="' . esc_attr($valor) . '" class="' . esc_attr($class_holder) . '">';

            break;
          case "numeric_max":

            $output .= '<input type="text" id="' . esc_attr($id_field_type) . '" name="' . esc_attr($name) . '-' . esc_attr($value->id_filter) . '" placeholder="' . esc_attr($placeholder) . '" value="' . esc_attr($valor) . '" class="' . esc_attr($class_holder) . '">';

            break;
          case "numeric_min":

            $output .= '<input type="text" id="' . esc_attr($id_field_type) . '" name="' . esc_attr($name) . '-' . esc_attr($value->id_filter) . '" placeholder="' . esc_attr($placeholder) . '" value="' . esc_attr($valor) . '" class="' . esc_attr($class_holder) . '">';

            break;
          case "input_text":

            $output .= '<input type="text" id="' . esc_attr($id_field_type) . '" name="' . esc_attr($name) . '-' . esc_attr($value->id_filter) . '" placeholder="' . esc_attr($placeholder) . '" value="' . esc_attr($valor) . '" class="' . esc_attr($class_holder) . '">';

            break;
          case "omnisearch":

            $output .= '<input type="text" id="' . esc_attr($id_field_type) . '" name="' . esc_attr($name) . '-' . esc_attr($value->id_filter) . '" placeholder="' . esc_attr($placeholder) . '" value="' . esc_attr($valor) . '" class="' . esc_attr($class_holder) . '">';

            break;
        }

        $output .= '</div>';

      } // end foreach

      $output .= '<div class="wovax-idx-section">
                    <a href="" class="wovax-idx-button wovax-idx-button-highlight" onclick="wovax_idx_submit_form(event);">Search</a>
                  </div>
                </form>
              </div>
              <script>
                function wovax_idx_submit_form(event){
                  event.preventDefault();
                  jQuery("#form-tab-1").submit();
                }
              </script>';

      return $output;
    }
    else {
      $output .= '<div class="wovax-idx-section" >
                    <a href="" class="wovax-idx-button wovax-idx-button-highlight" onclick="wovax_idx_submit_form(event);">Search</a>
                  </div>
                </form>
              </div>
              <script>
                function wovax_idx_submit_form(event){
                  event.preventDefault();
                  jQuery("#form-tab-1").submit();
                }
              </script>';

      return $output;
    }
  }
  else {
    $output .= '<div class=warning>
        <p>' . esc_html($values) . '</p>
      </div>
      <style media=screen type=text/css>
        .warning {
          font-size: 13px;
          padding-left: 15px;
          background: #FDECC4;
          border-left: 9px solid #FFB913;
          color: #2c3e50;
          padding-top: 20px;
          padding-bottom: 1px;
        }
      </style>';

    return $output;
  }
}
?>
