<?php

if (!defined('ABSPATH')) exit;
require_once plugin_dir_path(__FILE__) . "/helpers.php";

add_shortcode("wovax-idx", "wovax_idx_shortcode");

function wovax_idx_shortcode($atts, $content = null) {
  extract(shortcode_atts(array(
    "id" => '',
    "search-form-columns" => ''
  ) , $atts));
  $results = wovax_idx_get_shortcode_by_id($id);
  if (!empty($results)) {
    $api_key = wovax_idx_get_validation_token();
    require_once plugin_dir_path(__FILE__) . "/views/search-form.php";
    require_once plugin_dir_path(__FILE__) . "/views/listings-map.php";
    require_once plugin_dir_path(__FILE__) . "/views/listings-properties.php";
    require_once plugin_dir_path(__FILE__) . "/views/login-register-modal.php";
    require_once plugin_dir_path(__FILE__) . "/views/user-profile.php";
    if ($results[0]->type == 'search_form') {
      // shortcode search form

      if(!isset($atts['search-form-columns']) || !is_numeric($atts['search-form-columns']) || $atts['search-form-columns']>=6 || $atts['search-form-columns']<=0){
          $atts['search-form-columns'] = 6;
      }


      $feeds_id = wovax_idx_get_feeds_by_shortcode($id);
      if ($feeds_id != null) {
        if($results[0]->grid_view != 'yes' && $results[0]->map_view == 'yes'){
          $view_option = 'map';
        }else {
          $view_option = 'grid';
        }
        return wovax_idx_get_content_search_form($id, $atts['search-form-columns'], $view_option, $api_key);
      }
      else {
        return '<br/><div class=warning><p>NO VALUE FOUND</p></div><style media=screen type=text/css>
                .warning {
                  font-size: 13px;
                  padding-left: 15px;
                  background: #FDECC4;
                  border-left: 9px solid #FFB913;
                  color: #2c3e50;
                  padding-top: 20px;
                  padding-bottom: 1px;
                }
              </style>';
      }
    } elseif ($results[0]->type == 'listings') {
      $rules = wovax_idx_get_rule_by_shortcode_id($id);
      /* API */
      if($results[0]->grid_view != 'yes' && $results[0]->map_view == 'yes'){
        $view_option = 'map';
        $_GET['wovax-idx-view-option'] = 'map';
        return wovax_idx_get_content_listings_map($results, $rules, 'rules', $api_key) . wovax_idx_get_login_register_modal();
      }else {
        $view_option = 'grid';
        if($_GET['wovax-idx-view-option'] == 'map') {
          return wovax_idx_get_content_listings_map($results, $rules, 'rules', $api_key) . wovax_idx_get_login_register_modal();
        }else {
          return wovax_idx_get_content_listings_grid($results, $rules, 'rules', $api_key) . wovax_idx_get_login_register_modal();
        }
      }
    } elseif ($results[0]->type == 'user_favorites') {
        /* API */
        if($results[0]->grid_view != 'yes' && $results[0]->map_view == 'yes') {
            $view_option = 'map';
            $_GET['wovax-idx-view-option'] = 'map';
            return wovax_idx_get_content_listings_map($results, '', 'favorites', $api_key) . wovax_idx_get_login_register_modal();
        } else {
            $view_option = 'grid';
            if($_GET['wovax-idx-view-option'] == 'map') {
                return wovax_idx_get_content_listings_map($results, '', 'favorites', $api_key) . wovax_idx_get_login_register_modal();
            } else {
                return wovax_idx_get_content_listings_grid($results, '', 'favorites', $api_key) . wovax_idx_get_login_register_modal();
            }
        }
    } elseif ($results[0]->type == 'user_profile') {
        return wovax_idx_get_content_user_profile();
    }
  }
}

add_shortcode("wovax-idx-search-results", "wovax_idx_search_results_shortcode");

function wovax_idx_search_results_shortcode($atts, $content = null) {
  extract(shortcode_atts(array(
    "search-form-columns" => ''
  ) , $atts));
  $id = filter_var($_REQUEST['wovax-idx-shortcode-id'], FILTER_SANITIZE_STRING);
  if ($id) {
    $results = wovax_idx_get_shortcode_by_id($id);
    if (!empty($results)) {
      $api_key = wovax_idx_get_validation_token();
      require_once plugin_dir_path(__FILE__) . "/views/search-form.php";
      require_once plugin_dir_path(__FILE__) . "/views/listings-map.php";
      require_once plugin_dir_path(__FILE__) . "/views/listings-properties.php";
      require_once plugin_dir_path(__FILE__) . "/views/login-register-modal.php";
      $filters = wovax_idx_get_filter_by_shortcode_id($id);

      if(!isset($atts['search-form-columns']) || !is_numeric($atts['search-form-columns']) || $atts['search-form-columns']>=6 || $atts['search-form-columns']<=0){
          $columns_view = 6;
      }else{
      $columns_view = $atts['search-form-columns'];
    }

      /* API */
      if($results[0]->grid_view != 'yes' && $results[0]->map_view == 'yes'){
        $view_option = 'map';
        $_GET['wovax-idx-view-option'] = 'map';
        return wovax_idx_get_content_search_form($id, $columns_view, $view_option, $api_key) . wovax_idx_get_content_listings_map($results, $filters, 'filters', $api_key) . wovax_idx_get_login_register_modal();
      }else {
        $view_option = 'grid';
        if($_GET['wovax-idx-view-option'] == 'map') {
          return wovax_idx_get_content_search_form($id, $columns_view, $view_option, $api_key) . wovax_idx_get_content_listings_map($results, $filters, 'filters', $api_key) . wovax_idx_get_login_register_modal();
        }else {
          return wovax_idx_get_content_search_form($id, $columns_view, $view_option, $api_key) . wovax_idx_get_content_listings_grid($results, $filters, 'filters', $api_key) . wovax_idx_get_login_register_modal();
        }
      }
    }
  }
}
